Pave Bank
RFI

List RFI

Get list of RFIs.

Query Parameters for Filtering

All query parameters are optional:

  • ids: Array of RFI IDs to filter by
  • types: Array of RFI types to filter by
  • related_id: Filter RFIs by related ID
  • page_size: Number of items to return per page
  • page_token: Token for pagination to fetch the next page. Response contains 'next_page_token' attribute which you can use to fetch next page, if there is any.

Example Request

curl -X GET "https://api.pavebank.com/v1/rfis?ids=<RFI_ID>&types=transaction&related_id=<ACCOUNT_ID>&page_size=20&page_token=<PAGE_TOKEN>" \
  --header "Authorization: Bearer YOUR_ACCESS_TOKEN"

Example Response

{
    "next_page_token": "2026-01-22T03:31:52.246419Z",
    "data": [
        {
            "id": "<RFI_ID>",
            "type": "nominal_sub_account",
            "related_id": "<ACCOUNT_ID>",
            "legal_entity_id": "<LEGAL_ENTITY_ID>",
            "description": "sdf",
            "status": "action_required",
            "questions": [
                {
                    "id": "<RFI_QUESTION_ID>",
                    "status": "answered",
                    "question_type": "identification.individual.passport",
                    "question_data": {
                        "question_text": "give passport",
                        "comment": "",
                        "document_ids": []
                    },
                    "created_at": "2026-01-28T07:01:35.210189Z",
                    "updated_at": "2026-01-28T07:08:42.658422Z",
                    "responses": [
                        {
                            "id": "<RFI_RESPONSE_ID>",
                            "question_id": "<RFI_QUESTION_ID>",
                            "responder_type": "customer",
                            "response": {
                                "identification.individual.passport": {
                                    "response_text": "",
                                    "document_ids": [
                                        "<DOCUMENT_ID_1>", 
                                        "<DOCUMENT_ID_2>"
                                    ]
                                }
                            },
                            "created_at": "2026-01-28T07:08:42.658422Z",
                            "updated_at": "2026-01-28T07:08:42.658422Z"
                        }
                    ]
                },
                {
                    "id": "<RFI_QUESTION_ID>",
                    "status": "action_required",
                    "question_type": "identification.individual.corrected_address",
                    "question_data": {
                        "question_text": "please provide a valid address",
                        "comment": "",
                        "document_ids": []
                    },
                    "created_at": "2026-01-28T07:17:43.537029Z",
                    "updated_at": "2026-01-28T07:17:43.537029Z",
                    "responses": []
                }
            ],
            "created_at": "2026-01-28T07:01:35.210189Z",
            "updated_at": "2026-01-28T07:01:35.210189Z"
        }
    ]
}
GET
/v1/rfis

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Query Parameters

idsarray<string>

Array of RFI IDs to filter by

typesarray<string>

Array of RFI types to filter by. Possible values: transaction, account.

related_idstring

Filter RFIs by related ID

page_sizeinteger

Number of items to return per page

Format: "int64"
page_tokenstring

Token for pagination to fetch the next page

Response Body

Success response

next_page_tokenRequiredstring

Token for pagination to fetch the next page

dataRequiredarray<object>

Array of RFI objects

curl -X GET "https://developer-api-staging.pavebank.dev/v1/rfis?ids=string&types=string&related_id=string&page_size=0&page_token=string" \
  -H "Authorization: Bearer <token>"
{
  "next_page_token": "string",
  "data": [
    {
      "id": "rfi_mmqtdn8mjj94xscpxjrmmxn4x7",
      "type": "transaction",
      "related_id": "transaction_21gcy5d77t27dhyqbyi0574g4m",
      "legal_entity_id": "legalentity_8j4cy8d7pt2edeyqcyi0275q7b",
      "description": "Additional information required for compliance review",
      "status": "action_required",
      "questions": [
        {
          "id": "rfi_question_msq57c6xqhunjra0658ip6ksep",
          "status": "action_required",
          "question_type": "identification.individual.passport",
          "question_data": {},
          "created_at": "2025-11-03T07:07:07.159318Z",
          "updated_at": "2025-11-03T07:07:07.159318Z",
          "responses": [
            {
              "id": "rfi_response_mgj2r18umihjkuvnp9j4xcpt7j",
              "question_id": "rfi_question_k12w4vz35hzmorbdf7lo2v01ac",
              "responder_type": "customer",
              "response": {}
            }
          ]
        }
      ],
      "created_at": "2025-11-03T07:07:07.159318Z",
      "updated_at": "2025-11-03T07:07:07.159318Z"
    }
  ]
}